import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import Button from '@ciscospark/react-component-button';
import Icon, { ICONS } from '@ciscospark/react-component-icon';

var styles = {
  'container': 'container--w_INf',
  'icon': 'icon--muAM2',
  'hidden': 'hidden--2U31I',
  'withText': 'withText--2lv_w',
  'label': 'label--2TvjQ'
}; // @related-file ./styles.css

const propTypes = {
  label: PropTypes.string,
  onClick: PropTypes.func.isRequired
};

const defaultProps = {
  label: ''
};

function ScrollToBottomButton(props) {
  const {
    onClick,
    label
  } = props;

  let containerStyle, labelSpan;

  if (label) {
    labelSpan = React.createElement(
      'span',
      { className: classNames('ciscospark-scroll-to-bottom-label', styles.label) },
      label
    );
    containerStyle = styles.withText;
  }

  return React.createElement(
    'div',
    { className: classNames('ciscospark-scroll-to-bottom-container', styles.container, containerStyle) },
    React.createElement(
      Button,
      { onClick: onClick },
      React.createElement(
        'div',
        { className: classNames('ciscospark-scroll-to-bottom-icon', styles.icon) },
        React.createElement(Icon, { type: ICONS.ICON_TYPE_RIGHT_ARROW })
      ),
      labelSpan
    )
  );
}

ScrollToBottomButton.propTypes = propTypes;
ScrollToBottomButton.defaultProps = defaultProps;

export default ScrollToBottomButton;